> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onepanel.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions



## OpenAPI

````yaml /openapi.yaml get /transactions
openapi: 3.0.3
info:
  title: OnePanel API
  version: 1.0.0
  description: API for OnePanel data vending and transaction management.
servers:
  - url: https://api.onepanel.ng/api/v1
    description: Production
security: []
tags:
  - name: Catalog
  - name: Purchases
  - name: Transactions
  - name: Account
paths:
  /transactions:
    get:
      tags:
        - Transactions
      summary: List transactions
      operationId: listTransactions
      responses:
        '200':
          description: Transactions for the authenticated business account.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Transaction'
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
components:
  schemas:
    Transaction:
      type: object
      properties:
        id:
          type: string
        carrier:
          type: string
        plan_name:
          type: string
        product_code:
          type: string
        amount:
          type: string
        recipient:
          type: string
        status:
          type: string
          enum:
            - Success
            - Failed
        ussd_code:
          type: string
        error_reason:
          type: string
          nullable: true
        created_at:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.